Oore CI

Connect Google Play

Sets the service account secret and package the app's pipelines upload with. Requires the manage pipelines project permission.

Operation IDupdate_project_google_play_connection
PUT
/v1/projects/{project_id}/stores/google-play

Sets the service account secret and package the app's pipelines upload with. Requires the manage pipelines project permission.

Authorization

bearer_auth
AuthorizationBearer <token>

In: header

Path Parameters

project_id*string

App ID

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

PUT /v1/projects/{project_id}/stores/google-play

Response Body

application/json

application/json

application/json

application/json

curl -X PUT "https://example.com/v1/projects/string/stores/google-play" \  -H "Content-Type: application/json" \  -d '{    "service_account_secret": "string"  }'
{  "app_store": null,  "google_play": null,  "overrides": [    {      "detail": "string",      "pipeline_id": "string",      "pipeline_name": "string",      "store": "google_play"    }  ],  "project_id": "string"}